commit b92452491c54bf5e885b3bc2ebe43af1c1f22819
Author: freddy77 <freddy77>
Date:   Tue May 27 08:25:04 2008 +0000

    compile fix, add compile time test

diff --git a/ChangeLog b/ChangeLog
index 35d0b69..b836129 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,4 +1,8 @@
-Tue May 27 10:0:44 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+Tue May 27 10:23:00 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/apps/tsql.c: compile fix
+	* src/tds/numeric.c: add test to avoid future buffer overflows
+
+Tue May 27 10:00:44 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* include/tds.h: fix possible buffer overflow
 
 Mon May 26 15:56:10 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
@@ -302,4 +306,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2524 2008/05/27 08:00:56 freddy77 Exp $
+$Id: ChangeLog,v 1.2525 2008/05/27 08:25:04 freddy77 Exp $
diff --git a/src/apps/tsql.c b/src/apps/tsql.c
index a298b79..c394745 100644
--- a/src/apps/tsql.c
+++ b/src/apps/tsql.c
@@ -85,7 +85,9 @@
 #include "tdsconvert.h"
 #include "replacements.h"
 
-TDS_RCSID(var, "$Id: tsql.c,v 1.114 2008/05/26 13:56:49 freddy77 Exp $");
+TDS_RCSID(var, "$Id: tsql.c,v 1.115 2008/05/27 08:25:04 freddy77 Exp $");
+
+#define TDS_ISSPACE(c) isspace((unsigned char) (c))
 
 enum
 {
diff --git a/src/tds/numeric.c b/src/tds/numeric.c
index 57a0e1a..9d8cff2 100644
--- a/src/tds/numeric.c
+++ b/src/tds/numeric.c
@@ -37,7 +37,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: numeric.c,v 1.42 2006/12/26 14:56:21 freddy77 Exp $");
+TDS_RCSID(var, "$Id: numeric.c,v 1.43 2008/05/27 08:25:05 freddy77 Exp $");
 
 /* 
  * these routines use arrays of unsigned char to handle arbitrary
@@ -63,8 +63,8 @@ const int tds_numeric_bytes_per_prec[] = {
 	 * core if for some bug it's 0...
 	 */
 	1, 
-	2, 2, 3, 3, 4, 4, 4, 5, 5,
-	6, 6, 6, 7, 7, 8, 8, 9, 9, 9,
+	2,  2,  3,  3,  4,  4,  4,  5,  5,
+	6,  6,  6,  7,  7,  8,  8,  9,  9,  9,
 	10, 10, 11, 11, 11, 12, 12, 13, 13, 14,
 	14, 14, 15, 15, 16, 16, 16, 17, 17, 18,
 	18, 19, 19, 19, 20, 20, 21, 21, 21, 22,
@@ -73,6 +73,21 @@ const int tds_numeric_bytes_per_prec[] = {
 	31, 31, 31, 32, 32, 33, 33, 33
 };
 
+#if ENABLE_EXTRA_CHECKS
+
+#if defined(__GNUC__) && __GNUC__ >= 2
+#define COMPILE_CHECK(name,check) \
+    extern int name[(check)?1:-1] __attribute__ ((unused))
+#else
+#define COMPILE_CHECK(name,check) \
+    extern int name[(check)?1:-1]
+#endif
+
+COMPILE_CHECK(maxprecision, 
+	MAXPRECISION < TDS_VECTOR_SIZE(tds_numeric_bytes_per_prec) );
+
+#endif
+
 /*
  * money is a special case of numeric really...that why its here
  */

